<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/container"
    android:layout_width="match_parent"
    android:layout_height="80dp"
    android:gravity="center_vertical"
    android:orientation="horizontal">

    <View
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="?selectableItemBackgroundBorderless" />

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iconIv"
        android:layout_width="64dp"
        android:layout_height="64dp"
        android:layout_marginStart="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:background="@color/btn_gray" />

    <ImageView
        android:id="@+id/otherVersionHintIv"
        android:layout_width="12dp"
        android:layout_height="6dp"
        app:srcCompat="@drawable/ic_update_version_update_highlight"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@id/iconIv"
        app:layout_constraintStart_toStartOf="@id/iconIv" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:layout_weight="1"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/updateBtn"
        app:layout_constraintStart_toEndOf="@id/iconIv"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/nameTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="marquee"
                android:includeFontPadding="false"
                android:marqueeRepeatLimit="marquee_forever"
                android:singleLine="true"
                android:textColor="@color/text_primary"
                android:textSize="14sp"
                android:textStyle="bold"
                tools:text="跑跑卡丁车" />
        </LinearLayout>

        <TextView
            android:id="@+id/currentVersionTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_tertiary"
            android:textSize="11sp"
            tools:text="当前：V2.0.0" />

        <TextView
            android:id="@+id/newVersionTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_tertiary"
            android:textSize="11sp"
            tools:text="最新：V2.2.6 | 67.9M" />
    </LinearLayout>

    <com.gh.gamecenter.feature.view.DownloadButton
        android:id="@+id/updateBtn"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginEnd="16dp"
        app:download_button_show_progress="true"
        app:download_button_text_size="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/optionIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/ic_dot_more"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>